Exchange 5.5 support no longer available after applying Exchange 2000 SP2 to the Exchange 2000 Tools (NETIQKB21259)

  • 7721259
  • 02-Feb-2007
  • 19-Jun-2007

Resolution

fact
Directory and Resource Administrator 6.x

symptom
Exchange 5.5 support no longer available after applying Exchange 2000 SP2 to the Exchange 2000 Tools on the DRA server.

symptom
After upgrading the Exchange 2000 administrative tools on a DRA server managing both Exchange 5.5 and Exchange 2000 mailboxes to SP2, the ability to manage Exchange 5.5 mailbox administration is no longer available in DRA.

cause
The cause of this issue is due to the install of Exchange 2000 SP2 itself.  The upgrade process removes the ExchMem.dll from the Winnt\System32 directory.  DRA looks for this dll in that specific directory when verifying whether Exchange 5.5 support should be enabled.  The upgrade to Exchange 2000 SP2 moves the file to the C:\Program Files\exchsrvr\BIN directory of the same server. 

fix

To resolve this issue, please follow the steps below while logged on to the DRA server as a local administrator:

  1. Launch the Service Control Manager (Start|Programs|Administrative Tools|Services).
  2. Stop the MCS OnePoint Administration Server service.
  3. Locate the file Exchmem.dll.  The default location of this file is the C:\program files\exchsrvr\BIN directory.
  4. Copy ExchMem.dll to the C:\Winnt\System32 directory.
  5. Start the MCS OnePoint Administration Server service.

Once the required dll is in place, DRA will initialize with Exchange 5.5 support enabled.



Additional Information

Formerly known as NETIQKB21259

Feedback service temporarily unavailable. For content questions or problems, please contact Support.